#include <bits/stdc++.h>
using namespace std;
int main(int argc, char** argv) 
{
	string s, a, d;
	cin>>s>>a;
	long long p=0, k=0, z=0;;
	long long n = a.length();
	long long n1 = s.length();
	for(long long  i=0; i<n1 ;i++)
	{
	if(s[i]=='a')
		{
		k++;
		z++;
		d.push_back('*');
		}			
	else
		{
		s.replace(p, k, d);
		d.erase(0, k);
		p=i+1;
		k=0;
		}			
		
	}
	if(s[p] =='a')
	{
	s.replace(p, k, d);	
	}
	cout<<z<<endl<<s;
	
	

	return 0;
}